* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.6;
}

/*Buttons*/
.landing-btn {
  height: 40px;
  width: 150px;
  border-radius: 4px;
  border: none;
  font-size: 14px;
}

.btn-sub {
  height: 40px;
  width: 500px;
  border-radius: 4px;
  border: none;
  background-color: #000;
  color: #f4f4f4;
}
.landing-btn:hover {
  background-color: transparent;
  border: 1px solid yellow;
  color: yellow;
}

/*Textboxes*/
.txt-fname,
.txt-email {
  height: 35px;
  width: 500px;
  border: 2px solid #f4f4f4;
}
.txt-msg {
  height: 100px;
  width: 500px;
  resize: none;
  border: 2px solid #f4f4f4;
  color: black;
}

/*Home Section*/
#home {
  height: 100vh;
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
    url(../img/school.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

.intro {
  position: relative;
  top: 30%;
  display: grid;
  justify-items: center;
}
.intro,
.city {
  text-align: center;
  color: #f4f4f4;
  font-weight: bold;
  font-size: 25px;
}
.access {
  padding-top: 10px;
}

/*Gallery Section*/
#gallery {
  height: 100vh;
  text-align: center;
  text-transform: uppercase;
  border-bottom: 1px solid black;
  background-color: #f1e935;
  color:   #1c1c19;
  /*background-color: grey;*/
}
.gallery-container {
  position: relative;
  top: 4%;
}
.gallery-container h1 {
  padding-bottom: 20px;
  color:   #1c1c19;
}
.img-facilities {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, auto);
  gap: 15px;
}
img {
  border: 3px solid maroon;
}
.img-facilities,
img {
  height: 300px;
}
.pool,
.field {
  width: 460px;
}

.img-facilities p {
  color: #000;
  padding: 10px;
  font-size: 14px;
}

/*About Section */
#about {
  height: 75vh;
  text-align: center;
  background-color: #414148;
  color: #f4f4f4;
}
.about-container {
  position: relative;
  top: 2%;
}

.mission,
.vision {
  padding: 15px;
}

/*Contact Section*/
#contact {
  height: 70vh;
  padding: 20px;
  text-align: center;
  background-color: maroon;
  color:   #f4f4f4;
}

.school-info {
  padding: 15px;
}

.school-info,
label {
  padding: 12px;
}

.contact-form,
label {
  display: block;
}

/*Footer*/
footer {
  height: 50px;
  background-color: #000;
  color: #f4f4f4;
  text-align: center;
  padding-top: 15px;
}

@media (max-width: 1444px) {
  #gallery {
    height: 1500px;
  }
  .img-facilities {
    grid-template-columns: repeat(2, auto);
  }
  #contact{
    font-size: 14px;
  }
  footer{
    font-size: 14px;
  }
}

@media (max-width: 970px) {
  #gallery {
    height: 2400px;
  }
  .img-facilities {
    grid-template-columns: repeat(1, auto);
  }
  #about {
    height: 820px;
    font-size: 14px;
  }
  #contact{
    font-size: 14px;
  }
  footer{
    font-size: 14px;
  }
}

/*Phone*/
@media (max-width: 545px) {
  #gallery {
    height: 1800px;
  }
  .img-facilities,
  img {
    height: 200px;
  }
  .pool,
  .field {
    width: 300px;
  }
  /*About*/
  #about {
    height: 900px;
    font-size: 14px;
  }
  .txt-fname,
  .txt-email,
  .txt-msg,
  .btn-sub {
    width: 100%;
  }
  #contact{
    font-size: 14px;
  }
  footer{
    font-size: 14px;
  }
}

@media (max-width: 420px) {
  #about {
    height: 1100px;
    font-size: 14px;
  }
  .txt-fname,
  .txt-email {
    width: 100%;
  }
  #contact{
    font-size: 14px;
  }
  footer{
    font-size: 14px;
  }
}

@media (max-width: 346px) {
  #about {
    height: 1000px;
    font-size: 14px;
  }
  .txt-fname,
  .txt-email {
    width: 100%;
  }
  #contact{
    height: 700px;
    font-size: 14px;
  }
  footer{
    font-size: 14px;
  }
}
